package ink.wgink.pojo.app;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AppTokenUserDepartment
 * @Description: 用户部门
 * @Author: WangGeng
 * @Date: 2019-08-10 14:21
 * @Version: 1.0
 **/
public class AppTokenUserDepartment implements Serializable {

    private static final long serialVersionUID = -4352969540408749470L;
    private String departmentId;
    private String departmentName;

    public String getDepartmentId() {
        return departmentId == null ? "" : departmentId.trim();
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName == null ? "" : departmentName.trim();
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"departmentId\":")
                .append("\"").append(departmentId).append("\"");
        sb.append(",\"departmentName\":")
                .append("\"").append(departmentName).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
